KDE 4.7 PyKDE API Reference

- KDE's Python API

# DocumentType Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Node
Namespace: DOM

## Detailed Description

Each Document has a doctype attribute whose value is either null or a DocumentType object. The DocumentType interface in the DOM Level 1 Core provides an interface to the list of entities that are defined for the document, and little else because the effect of namespaces and the various XML scheme efforts on DTD representation are not clearly understood as of this writing.

The DOM Level 1 doesn't support editing DocumentType nodes.

## Methods
| __init__ (self)
| __init__ (self, DOM.DocumentType other)
| __init__ (self, DOM.Node other)
DOM.NamedNodeMap | entities (self)
DOM.DOMString | internalSubset (self)
DOM.DOMString | name (self)
DOM.NamedNodeMap | notations (self)
DOM.DOMString | publicId (self)
DOM.DOMString | systemId (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.DocumentType | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.NamedNodeMap entities | ( |  | self ) |

A NamedNodeMap containing the general entities, both external and internal, declared in the DTD. Duplicates are discarded. For example in: &lt;!DOCTYPE ex SYSTEM "ex.dtd" [ &lt;!ENTITY foo "foo"> &lt;!ENTITY bar "bar"> &lt;!ENTITY % baz "baz"> ]> &lt;ex/> the interface provides access to foo and bar but not baz . Every node in this map also implements the Entity interface.

The DOM Level 1 does not support editing entities, therefore entities cannot be altered in any way.

DOM.DOMString internalSubset | ( |  | self ) |

Introduced in DOM Level 2

The internal subset as a string.

Note: The actual content returned depends on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.

DOM.DOMString name | ( |  | self ) |

The name of DTD; i.e., the name immediately following the DOCTYPE keyword.

DOM.NamedNodeMap notations | ( |  | self ) |

A NamedNodeMap containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the Notation interface.

The DOM Level 1 does not support editing notations, therefore notations cannot be altered in any way.

DOM.DOMString publicId | ( |  | self ) |

Introduced in DOM Level 2

The public identifier of the external subset.

DOM.DOMString systemId | ( |  | self ) |

Introduced in DOM Level 2

The system identifier of the external subset.